# In all environments, the following files are loaded if they exist,
# the latter taking precedence over the former:
#
#  * .env                contains default values for the environment variables needed by the app
#  * .env.local          uncommitted file with local overrides
#  * .env.$APP_ENV       committed environment-specific defaults
#  * .env.$APP_ENV.local uncommitted environment-specific overrides
#
# Real environment variables win over .env files.
#
# DO NOT DEFINE PRODUCTION SECRETS IN THIS FILE NOR IN ANY OTHER COMMITTED FILES.
# https://symfony.com/doc/current/configuration/secrets.html
#
# Run "composer dump-env prod" to compile .env files for production use (requires symfony/flex >=1.2).
# https://symfony.com/doc/current/best_practices.html#use-environment-variables-for-infrastructure-configuration

###> symfony/framework-bundle ###
APP_ENV=prod
APP_SECRET=ef786630c90088dda66ded8e665b5cec
###< symfony/framework-bundle ###

###> doctrine/doctrine-bundle ###
# Format described at https://www.doctrine-project.org/projects/doctrine-dbal/en/latest/reference/configuration.html#connecting-using-a-url
# IMPORTANT: You MUST configure your server version, either here or in config/packages/doctrine.yaml
#
# DATABASE_URL="sqlite:///%kernel.project_dir%/var/data.db"
# DATABASE_URL="mysql://app:!ChangeMe!@127.0.0.1:3306/app?serverVersion=8.0.32&charset=utf8mb4"
# DATABASE_URL="mysql://app:!ChangeMe!@127.0.0.1:3306/app?serverVersion=10.11.2-MariaDB&charset=utf8mb4"
DATABASE_URL="postgresql://refae:refae@refae_db:5432/refae?serverVersion=15&charset=utf8"
###< doctrine/doctrine-bundle ###

###> symfony/messenger ###
# Choose one of the transports below
# MESSENGER_TRANSPORT_DSN=amqp://guest:guest@localhost:5672/%2f/messages
# MESSENGER_TRANSPORT_DSN=redis://localhost:6379/messages
MESSENGER_TRANSPORT_DSN=doctrine://default?auto_setup=0
###< symfony/messenger ###

###> symfony/mailer ###
MAILER_DSN=null://null
###< symfony/mailer ###

###> nelmio/cors-bundle ###
CORS_ALLOW_ORIGIN='^https?://(localhost|127\.0\.0\.1)(:[0-9]+)?$'
###< nelmio/cors-bundle ###

MEILI_MASTER_KEY=QuGSoP2d-9RcrW_xEvL_1MjFAhgSzT5LGHs27IutM5Y
MEILI_HOST=http://refae_meilisearch:7700

###> symfony/mercure-bundle ###
# See https://symfony.com/doc/current/mercure.html#configuration
# The URL of the Mercure hub, used by the app to publish updates (can be a local URL)
MERCURE_URL=http://mercure:3000/.well-known/mercure
# The public URL of the Mercure hub, used by the browser to connect
MERCURE_PUBLIC_URL=http://refae.fr:3000/.well-known/mercure
# The secret used to sign the JWTs
MERCURE_JWT_SECRET="!ChangeThisMercureHubJWTSecretKey!"
###< symfony/mercure-bundle ###

###> symfony/lock ###
# Choose one of the stores below
# postgresql+advisory://db_user:db_password@localhost/db_name
LOCK_DSN=flock
###< symfony/lock ###

DEBUG=0

IP_ENABLE_WHITELIST=0
IP_WHITELIST="127.0.0.1, ::1, 10.0.0.0/8, 172.17.0.0/11"

ADMIN_PROBE_DURATION=300

HTTP_PROTOCOL=https
HTTP_HOST=refae.fr
HTTP_PORT=
HTTP_BASEURL=

DEFAULT_MAX_FILESIZE=1048576
DEFAULT_FILE_RETENTION_COUNT=3

RATE_LIMITER_ANONYMOUS_LIMIT=5000
RATE_LIMITER_ANONYMOUS_INTERVAL="15 minutes"
RATE_LIMITER_ANONYMOUS_AMOUNT=500
RATE_LIMITER_AUTHENTICATED_LIMIT=5000
RATE_LIMITER_AUTHENTICATED_INTERVAL="15 minutes"
RATE_LIMITER_AUTHENTICATED_AMOUNT=500
RATE_LIMITER_LOGIN_LIMIT=5
RATE_LIMITER_LOGIN_INTERVAL="15 minutes"
RATE_LIMITER_LOGIN_AMOUNT=5

API_MAX_PER_PAGE=10
